> ## Documentation Index
> Fetch the complete documentation index at: https://developers.speedvitals.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a report resource

> Retrieves the resource of lighthouse report. Supply the unique test ID from either a lighthouse test creation request or the lighthouse tests list along with resource name to get that resource.



## OpenAPI

````yaml api-reference/openapi.json get /v1/lighthouse-tests/{id}/resources/{resource_name}
openapi: 3.1.0
info:
  contact:
    email: contact@speedvitals.com
    name: SpeedVitals Dev Team
    url: https://speedvitals.com
  description: >
    The SpeedVitals REST API. Please see
    [https://docs.speedvitals.com/api](https://docs.speedvitals.com/api/) for
    more details.
  termsOfService: https://speedvitals.com/terms-of-use
  title: SpeedVitals API
  version: 0.1.0
servers:
  - url: https://api.speedvitals.com
security:
  - apiKey: []
tags:
  - name: Ping
  - name: Devices
  - name: Locations
  - name: Lighthouse Tests
  - name: Lighthouse Batch Tests
  - name: TTFB Regions
  - name: TTFB Tests
  - name: Account
externalDocs:
  description: Home
  url: https://speedvitals.com
paths:
  /v1/lighthouse-tests/{id}/resources/{resource_name}:
    get:
      tags:
        - Lighthouse Tests
      summary: Get a report resource
      description: >-
        Retrieves the resource of lighthouse report. Supply the unique test ID
        from either a lighthouse test creation request or the lighthouse tests
        list along with resource name to get that resource.
      operationId: GetLighthouseReportResource
      parameters:
        - in: path
          name: id
          required: true
          schema:
            maxLength: 5000
            type: string
          style: simple
        - in: path
          name: resource_name
          required: true
          schema:
            maxLength: 5000
            type: string
            enum:
              - pdf
              - har
              - video
          style: simple
      responses:
        '200':
          content:
            image/jpeg:
              schema:
                type: string
                format: binary
            video/mp4:
              schema:
                type: string
                format: binary
            application/json:
              schema:
                type: object
          description: Successful response.
        '404':
          $ref: '#/components/responses/NotFound'
components:
  responses:
    NotFound:
      description: Resource Not Found
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````